# Generated by Django 2.1.15 on 2020-02-26 08:00

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Person',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=30, null=True)),
                ('age', models.IntegerField(default=18)),
            ],
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('person_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='appli.Person')),
                ('school', models.CharField(default='IUT Blagnac', max_length=50)),
            ],
            bases=('appli.person',),
        ),
        migrations.AddField(
            model_name='person',
            name='best_friend',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='appli.Person'),
        ),
    ]
